Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.api
Interface ECSpec

public interface ECSpec

A specification of an event cycle.

See Also:
  The RFTagAware Programmer Guide

Method Summary
`void` | `addLogicalReaderName(java.lang.String name)` Adds one name to the list of logical reader names which will be queried as a part of this ECSpec.
`void` | `addLogicalReaderNames(java.util.List names)` Appends a list of names to the list of logical reader names which will be queried as a part of this ECSpec.
`void` | `addReportSpec(ECReportSpec spec)` Appends one specification to the list which describes the reports which will be generated by the event cycle for this ECSpec.
`void` | `addReportSpecs(java.util.List specs)` Adds a list of specifications to the list which describes the reports which will be generated by the event cycle for this ECSpec.
`java.lang.String` | `getApplicationData()` Gets the application data String which will be returned in the ECReports.
`ECInterval` | `getDuration()` Deprecated. Use getDurartionMillis() or getDurationReadCycles()
`long` | `getDurationMillis()` DurationMillis specifies the number of milliseconds to elapse prior to terminating the EventCycle.
`int` | `getDurationReadCycles()` DurationReadCycles specifies the number of read cycles to elapse prior to terminating the EventCycle.
`boolean` | `getIncludeSpecInReports()` If true, the corresponding ECReports instances will contain a copy of the original ECSpec that generated them.
`java.util.List` | `getLogicalReaderNames()` Returns the list of logical reader names which will be queried as a part of this ECSpec.
`ECInterval` | `getRepeatPeriod()` Deprecated. Use getRepeatPeriodMillis.
`long` | `getRepeatPeriodMillis()` Gets the period in milliseconds from the beginning of one event cycle to the next.
`ECReportSpec` | `getReportSpec(java.lang.String name)` Gets the specification which describe the report which will be generated with the given name by the event cycle for this ECSpec.
`java.util.List` | `getReportSpecs()` Gets all specifications which describe reports which will be generated by the event cycle for this ECSpec.
`int` | `getStableCount()` Returns the "stable count" for the top-level ECSpec.
`ECInterval` | `getStableFieldInterval()` Deprecated. Use getStableSetIntervalMillis() or getStableSetIntervalReadCycles().
`long` | `getStableSetIntervalMillis()` Returns the "stable field interval" in milliseconds for this event cycle.
`int` | `getStableSetIntervalReadCycles()` Returns the "stable field interval" in read cycles for this event cycle.
`java.net.URI` | `getStartTrigger()` Gets the start trigger which will begin an event cycle.
`java.net.URI` | `getStopTrigger()` Gets the stop trigger which will end an event cycle.
`XMLSerializationSyntax` | `getXMLSerializationSyntax()`
`void` | `setApplicationData(java.lang.String value)` Gets the application data String which will be returned in the ECReports.
`void` | `setDuration(ECInterval interval)` Deprecated. Use setDurationMillis() or setDurationReadCycles()
`void` | `setDurationMillis(long durationMillis)` DurationMillis specifies the number of milliseconds to elapse prior to terminating the EventCycle.
`void` | `setDurationReadCycles(int readCycles)` DurationReadCycles specifies the number of read cycles to elapse prior to terminating the EventCycle.
`void` | `setIncludeSpecInReports(boolean includeSpec)` If true, the corresponding ECReports instances will contain a copy of the original ECSpec that generated them.
`void` | `setLogicalReaderNames(java.util.List names)` Sets the list of logical reader names which will be queried as a part of this ECSpec.
`void` | `setRepeatPeriod(ECInterval interval)` Deprecated. Use setRepeatPeriodMillis().
`void` | `setRepeatPeriodMillis(long repeatPeriodMillis)` Sets the period in milliseconds from the beginning of one event cycle to the next.
`void` | `setReportSpecs(java.util.List specs)` Sets the list of specifications which describe the reports which will be generated by the event cycle for this ECSpec.
`void` | `setStableCount(int stableCount)` Sets the "stable count" for the top-level ECSpec.
`void` | `setStableFieldInterval(ECInterval interval)` Deprecated. Use setStableSetIntervalMillis() or setStableSetIntervalReadCycles().
`void` | `setStableSetIntervalMillis(long stableSetIntervalMillis)` Sets the "stable field interval" in milliseconds for this event cycle.
`void` | `setStableSetIntervalReadCycles(int stableSetIntervalReadCycles)` Sets the "stable field interval" in read cycles for this event cycle.
`void` | `setStartTrigger(java.net.URI trigger)` Sets the start trigger which will begin an event cycle.
`void` | `setStopTrigger(java.net.URI trigger)` Sets the stop trigger which will end an event cycle.

Method Detail

### getLogicalReaderNames

    public java.util.List getLogicalReaderNames()

  Returns the list of logical reader names which will be queried as a part of this ECSpec. The order of the reader names is the order they were first added to the ECSpec.

  Returns:
    a List of String objects containing reader names.

### setLogicalReaderNames

    public void setLogicalReaderNames(java.util.List names)

  Sets the list of logical reader names which will be queried as a part of this ECSpec. Any previous list is replaced.

  Parameters:
    `names` - a List of String objects containing reader names.

### addLogicalReaderName

    public void addLogicalReaderName(java.lang.String name)

  Adds one name to the list of logical reader names which will be queried as a part of this ECSpec. If the name is already present, this method has no effect.

### addLogicalReaderNames

    public void addLogicalReaderNames(java.util.List names)

  Appends a list of names to the list of logical reader names which will be queried as a part of this ECSpec. Names already in the list are ignored.

  Parameters:
    `names` - a List of String objects containing reader names.

### getStartTrigger

    public java.net.URI getStartTrigger()

  Gets the start trigger which will begin an event cycle.

  Returns:
    The URI for the trigger, or null if there is none.

### setStartTrigger

    public void setStartTrigger(java.net.URI trigger)

  Sets the start trigger which will begin an event cycle.

  Parameters:
    `trigger` - The URI for the trigger, or null to remove the trigger.

### getRepeatPeriod

    public ECInterval getRepeatPeriod()

  Deprecated. Use getRepeatPeriodMillis.

  Gets the period from the beginning of one event cycle to the next.

### setRepeatPeriod

    public void setRepeatPeriod(ECInterval interval)

  Deprecated. Use setRepeatPeriodMillis().

  Sets the period from the beginning of one event cycle to the next.

### getStopTrigger

    public java.net.URI getStopTrigger()

  Gets the stop trigger which will end an event cycle.

  Returns:
    The URI for the trigger, or null if there is none.

### setStopTrigger

    public void setStopTrigger(java.net.URI trigger)

  Sets the stop trigger which will end an event cycle.

  Parameters:
    `trigger` - The URI for the trigger, or null to remove the trigger.

### getStableFieldInterval

    public ECInterval getStableFieldInterval()

  Deprecated. Use getStableSetIntervalMillis() or getStableSetIntervalReadCycles().

  Returns the "stable field interval" for this event cycle. If non-zero, the event cycle will terminate if no new tags are seen for this interval of time.

### setStableFieldInterval

    public void setStableFieldInterval(ECInterval interval)

  Deprecated. Use setStableSetIntervalMillis() or setStableSetIntervalReadCycles().

  Sets the "stable field interval" for this event cycle. If non-zero, the event cycle will terminate if no new tags are seen for this interval of time.

### getDuration

    public ECInterval getDuration()

  Deprecated. Use getDurartionMillis() or getDurationReadCycles()

  Returns the interval after which the event cycle will end unconditionally, or zero if there is no unconditional interval defined.

### setDuration

    public void setDuration(ECInterval interval)

  Deprecated. Use setDurationMillis() or setDurationReadCycles()

  Sets the interval after which the event cycle will end unconditionally. If zero, there is no unconditional interval defined to end the event cycle.

### getReportSpecs

    public java.util.List getReportSpecs()

  Gets all specifications which describe reports which will be generated by the event cycle for this ECSpec.

  Returns:
    a List containing ECReportSpec objects, or an empty List if there are none.

### getReportSpec

    public ECReportSpec getReportSpec(java.lang.String name)

  Gets the specification which describe the report which will be generated with the given name by the event cycle for this ECSpec.

  Returns:
    null if there is no specification with the specified name.

### setReportSpecs

    public void setReportSpecs(java.util.List specs)

  Sets the list of specifications which describe the reports which will be generated by the event cycle for this ECSpec. Any previous list is replaced.

  Parameters:
    `specs` - a List of ECReportSpec objects.

### addReportSpec

    public void addReportSpec(ECReportSpec spec)

  Appends one specification to the list which describes the reports which will be generated by the event cycle for this ECSpec. If a report with this name is already present, it is replaced.

### addReportSpecs

    public void addReportSpecs(java.util.List specs)

  Adds a list of specifications to the list which describes the reports which will be generated by the event cycle for this ECSpec. Any existing reports with the same name which are present are replaced.

  Parameters:
    `specs` - a List of ECReportSpec objects.

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data String which will be returned in the ECReports.

### setApplicationData

    public void setApplicationData(java.lang.String value)

  Gets the application data String which will be returned in the ECReports.

### getIncludeSpecInReports

    public boolean getIncludeSpecInReports()

  If true, the corresponding ECReports instances will contain a copy of the original ECSpec that generated them.

  Returns:
    include spec in reports

### setIncludeSpecInReports

    public void setIncludeSpecInReports(boolean includeSpec)

  If true, the corresponding ECReports instances will contain a copy of the original ECSpec that generated them.

  Parameters:
    `includeSpec` -

### getDurationMillis

    public long getDurationMillis()

  DurationMillis specifies the number of milliseconds to elapse prior to terminating the EventCycle. If both durationMillis and durationReadCycles are specified, then whichever occurs first will trigger the termination of the EventCycle. This allows the durationMillis to act as a timeout when duration in READ_CYCLES is normally expected to prevail. Returns the interval in milliseconds that will unconditionally terminate the event cycle.

  Returns:
    durationMillis

### setDurationMillis

    public void setDurationMillis(long durationMillis)

  DurationMillis specifies the number of milliseconds to elapse prior to terminating the EventCycle. If both durationMillis and durationReadCycles are specified, then whichever occurs first will trigger the termination of the EventCycle. This allows the durationMillis to act as a timeout when duration in READ_CYCLES is normally expected to prevail. Sets the interval in MilliSeconds that will unconditionally terminate the event cycle.

  Parameters:
    `durationMillis` -

### getDurationReadCycles

    public int getDurationReadCycles()

  DurationReadCycles specifies the number of read cycles to elapse prior to terminating the EventCycle. If both durationMillis and durationReadCycles are specified, then whichever occurs first will trigger the termination of the EventCycle. This allows the durationMillis to act as a timeout when duration in read cycles is normally expected to prevail. Returns the number of read cycles that will unconditionally terminate the event cycle.

  Returns:
    readCycles

### setDurationReadCycles

    public void setDurationReadCycles(int readCycles)

  DurationReadCycles specifies the number of read cycles to elapse prior to terminating the EventCycle. If both durationMillis and durationReadCycles are specified, then whichever occurs first will trigger the termination of the EventCycle. This allows the durationMillis to act as a timeout when duration in read cycles is normally expected to prevail. Sets the number of read cycles that will unconditionally terminate the event cycle.

  Parameters:
    `readCycles` -

### getStableSetIntervalMillis

    public long getStableSetIntervalMillis()

  Returns the "stable field interval" in milliseconds for this event cycle. If non-zero, the event cycle will terminate if no new tags are seen for this interval of time.

### setStableSetIntervalMillis

    public void setStableSetIntervalMillis(long stableSetIntervalMillis)

  Sets the "stable field interval" in milliseconds for this event cycle. If non-zero, the event cycle will terminate if no new tags are seen for this interval of time.

### getStableSetIntervalReadCycles

    public int getStableSetIntervalReadCycles()

  Returns the "stable field interval" in read cycles for this event cycle. If non-zero, the event cycle will terminate if no new tags are seen for this interval of read cycles.

### setStableSetIntervalReadCycles

    public void setStableSetIntervalReadCycles(int stableSetIntervalReadCycles)

  Sets the "stable field interval" in read cycles for this event cycle. If non-zero, the event cycle will terminate if no new tags are seen for this interval of read cycles.

### getStableCount

    public int getStableCount()

  Returns the "stable count" for the top-level ECSpec. If a stable set interval is specified on the ECSpec, the SSI does not stop the Event Cycle unless the tag count in the reader field matches or exceeds this count.

### setStableCount

    public void setStableCount(int stableCount)

  Sets the "stable count" for the top-level ECSpec. If a stable set interval is specified on the ECSpec, the SSI does not stop the Event Cycle until the tag count in the reader field matches or exceeds this count.

### getRepeatPeriodMillis

    public long getRepeatPeriodMillis()

  Gets the period in milliseconds from the beginning of one event cycle to the next.

### setRepeatPeriodMillis

    public void setRepeatPeriodMillis(long repeatPeriodMillis)

  Sets the period in milliseconds from the beginning of one event cycle to the next.

### getXMLSerializationSyntax

    public XMLSerializationSyntax getXMLSerializationSyntax()

  Returns:
    the XMLSerializationSyntax for this ECSpec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD